edu.sc.seis.sod

## Class Args

- java.lang.Object
- - edu.sc.seis.sod.Args

-     public class Args
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CLEAN_SWITCH`
    `static java.lang.String` | `PRINT_RECIPE_SWITCH`
    `static java.lang.String` | `QUIT_ON_ERROR_SWITCH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Args(java.lang.String[] args)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `doEventArm()`
    `boolean` | `doNetArm()`
    `boolean` | `doWaveformArm()`
    `java.lang.String[]` | `getInitialArgs()`
    `java.io.InputStream` | `getProps()`
    `java.lang.String` | `getRecipe()`
    `boolean` | `hasProps()`
    `boolean` | `isClean()`
    `boolean` | `isDebug()`
    `boolean` | `isPrintRecipe()`
    `boolean` | `isQuickAndDirty()`
    `boolean` | `isQuitOnError()`
    `static java.lang.String` | `makeError(java.lang.String command, java.util.List params, com.martiansoftware.jsap.JSAPResult result)`
    `static java.lang.String` | `makeHelp(java.lang.String command, java.util.List params)`
    `static java.lang.String` | `makeUsage(java.lang.String command, java.util.List params)`
    `boolean` | `onlyValidate()`
    `boolean` | `replaceDBConfig()`
    `java.lang.String` | `toString()`
    `boolean` | `waitOnError()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CLEAN_SWITCH

          public static final java.lang.String CLEAN_SWITCH

      See Also:
        Constant Field Values

    - #### QUIT_ON_ERROR_SWITCH

          public static final java.lang.String QUIT_ON_ERROR_SWITCH

      See Also:
        Constant Field Values

    - #### PRINT_RECIPE_SWITCH

          public static final java.lang.String PRINT_RECIPE_SWITCH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Args

          public Args(java.lang.String[] args)
               throws com.martiansoftware.jsap.JSAPException

      Throws:
        `com.martiansoftware.jsap.JSAPException`

  - ### Method Detail

    - #### makeUsage

          public static java.lang.String makeUsage(java.lang.String command,
                                                   java.util.List params)

    - #### makeHelp

          public static java.lang.String makeHelp(java.lang.String command,
                                                  java.util.List params)

    - #### makeError

          public static java.lang.String makeError(java.lang.String command,
                                                   java.util.List params,
                                                   com.martiansoftware.jsap.JSAPResult result)

    - #### hasProps

          public boolean hasProps()

    - #### getProps

          public java.io.InputStream getProps()

    - #### getInitialArgs

          public java.lang.String[] getInitialArgs()

    - #### getRecipe

          public java.lang.String getRecipe()

    - #### isQuickAndDirty

          public boolean isQuickAndDirty()

    - #### isQuitOnError

          public boolean isQuitOnError()

    - #### isClean

          public boolean isClean()

    - #### isPrintRecipe

          public boolean isPrintRecipe()

    - #### isDebug

          public boolean isDebug()

    - #### onlyValidate

          public boolean onlyValidate()

    - #### doEventArm

          public boolean doEventArm()

    - #### doNetArm

          public boolean doNetArm()

    - #### doWaveformArm

          public boolean doWaveformArm()

    - #### waitOnError

          public boolean waitOnError()

    - #### replaceDBConfig

          public boolean replaceDBConfig()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`